Package net.shibboleth.shared.spring.servlet

# Class RequestURLPrefixPredicate

java.lang.Object
net.shibboleth.shared.spring.servlet.RequestURLPrefixPredicate

All Implemented Interfaces:
  `Predicate<ServletRequest>`

public class RequestURLPrefixPredicate extends Object implements Predicate<ServletRequest>
Predicate based on comparing a request URL to a set of matching prefixes.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Collection<URLPrefix>`
`matchingPrefixes`
Prefixes to check for.

## Constructor Summary

Constructors
Constructor
Description
`RequestURLPrefixPredicate(Collection<URLPrefix> prefixes)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`test(ServletRequest input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Predicate

`and, negate, or`

## Field Details

### matchingPrefixes

@Nonnull private Collection<URLPrefix> matchingPrefixes
Prefixes to check for.

## Constructor Details

### RequestURLPrefixPredicate

@Autowired public RequestURLPrefixPredicate(@Nullable @ParameterName(name="prefixes") Collection<URLPrefix> prefixes)
Constructor.

Parameters:
  `prefixes` - prefixes to match

## Method Details

### test

public boolean test(@Nullable ServletRequest input)

Specified by:
  `test` in interface `Predicate<ServletRequest>`